﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using FizzWare.NBuilder;

/// <summary>
/// Summary description for InventoryRuleRepository
/// </summary>
public class InventoryRuleRepository
{
    public InventoryRuleRepository() { }

    public IList<InventoryRule> GetAll()
    {
        IList<InventoryRule> rules = Builder<InventoryRule>.CreateListOfSize(21)
            .WhereSection(1, 2).And(r => r.CategoryId = 1)
            .WhereSection(3, 4).And(r => r.CategoryId = 2)
            .WhereSection(5, 6).And(r => r.CategoryId = 3)
            .WhereSection(7, 8).And(r => r.CategoryId = 4)
            .WhereSection(9, 10).And(r => r.CategoryId = 5)
            .WhereSection(11, 12).And(r => r.CategoryId = 6)
            .WhereSection(13, 14).And(r => r.CategoryId = 7)
            .WhereSection(15, 16).And(r => r.CategoryId = 8)
            .WhereSection(17, 18).And(r => r.CategoryId = 9)
            .WhereSection(19, 20).And(r => r.CategoryId = 10)
            .Build();

        return rules;
    }
}
