﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using FizzWare.NBuilder;

/// <summary>
/// Summary description for ProductHistoryRepository
/// </summary>
public class ProductHistoryRepository
{
    public ProductHistoryRepository() { }

    public IList<ProductHistory> GetAll()
    {
        return Builder<ProductHistory>.CreateListOfSize(30)
            .WhereSection(1, 2).And(h => h.ProductId = 1)
            .WhereSection(3, 4).And(h => h.ProductId = 2)
            .WhereSection(5, 6).And(h => h.ProductId = 6)
            .WhereSection(7, 8).And(h => h.ProductId = 14)
            .WhereSection(9, 10).And(h => h.ProductId = 23)
            .WhereSection(11, 12).And(h => h.ProductId = 34)
            .WhereSection(13, 14).And(h => h.ProductId = 45)
            .WhereSection(15, 16).And(h => h.ProductId = 12)
            .WhereSection(17, 18).And(h => h.ProductId = 39)
            .WhereSection(19, 20).And(h => h.ProductId = 5)
            .WhereSection(21, 22).And(h => h.ProductId = 25)
            .WhereSection(23, 24).And(h => h.ProductId = 49)
            .WhereSection(25, 26).And(h => h.ProductId = 21)
            .WhereSection(27, 28).And(h => h.ProductId = 19)
            .Build();
    }
}
