﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using FizzWare.NBuilder;

/// <summary>
/// Summary description for ProductRepository
/// </summary>
public class ProductRepository
{
    public ProductRepository() { }

    public IList<Product> GetAll()
    {
        IList<Product> products = Builder<Product>.CreateListOfSize(100)
            .WhereSection(1, 10).And(p => p.CategoryId = 1)
            .WhereSection(11, 20).And(p => p.CategoryId = 2)
            .WhereSection(21, 30).And(p => p.CategoryId = 3)
            .WhereSection(31, 40).And(p => p.CategoryId = 4)
            .WhereSection(41, 50).And(p => p.CategoryId = 5)
            .WhereSection(51, 60).And(p => p.CategoryId = 6)
            .WhereSection(61, 70).And(p => p.CategoryId = 7)
            .WhereSection(71, 80).And(p => p.CategoryId = 8)
            .WhereSection(81, 90).And(p => p.CategoryId = 9)
            .WhereSection(91, 99).And(p => p.CategoryId = 10)
            .Build();

        return products;
    }
}
